#include <iomanip>
#include <sstream>
#include <string>

using namespace std;

std::string str_of_addr(const int address)
{
    std::stringstream s;
    s << "0x" << std::uppercase << std::setw(8) << std::setfill('0') << hex << address;

    //std::string str = s.str();
    std::string str;
    s >> str;

    return str;
}
